sonata_block:
    context_manager: sonata.page.block.context_manager
    default_contexts: [sonata_page_bundle]

    http_cache:
        listener: true

    menus:
        "SonataDemoBundle:Builder:mainMenu": "Main Menu"

    blocks:
        sonata.admin.block.admin_list:
            contexts:   [admin]
        sonata.admin.block.search_result:
            contexts:   [admin]

        #sonata.admin_doctrine_orm.block.audit:
        #    contexts:   [admin]

        # Builtin Block
        sonata.block.service.text:
        sonata.block.service.container:
        sonata.block.service.rss:
        sonata.block.service.menu:
        sonata.block.service.template:

        # PageBundle's Blocks
        sonata.page.block.container:
            # cache: sonata.cache.memcached
            # cache: sonata.cache.predis
            # cache: sonata.page.cache.esi # if you are using the PageBundle
            # cache: sonata.block.cache.esi # if you are using the BlockBundle without the PageBundle
        sonata.page.block.children_pages:
        sonata.page.block.breadcrumb:

        # MediaBundle's Blocks
        sonata.media.block.media:
        sonata.media.block.gallery:
        sonata.media.block.feature_media:

        # NewsBundle's Blocks
        sonata.news.block.recent_comments:
        sonata.news.block.recent_posts:

        # Ecommerce's Blocks
#        sonata.order.block.recent_orders:
#        sonata.product.block.recent_products:
#        sonata.product.block.similar_products:
#        sonata.product.block.categories_menu:
#        sonata.product.block.filters_menu:
#        sonata.product.block.variations_form:
#        sonata.customer.block.recent_customers:
#        sonata.basket.block.nb_items:
#            cache: sonata.page.cache.js_async
#            contexts: [user]
#        sonata.basket.block.nb_items:
#            cache: sonata.page.cache.js_async
#            contexts: [user]

        # TimelineBundle's Blocks

        sonata.timeline.block.timeline:
        sonata.timeline.block.timeline:
            contexts:   [admin]

        # UserBundle's Blocks
        sonata.user.block.account:
            cache: sonata.page.cache.js_async
            #cache: sonata.page.cache.esi
            contexts: [user]
        sonata.user.block.menu:
            contexts: [user]

        # SeoBundle's Blocks
        sonata.seo.block.email.share_button:
        sonata.seo.block.facebook.like_box:
        sonata.seo.block.facebook.like_button:
        sonata.seo.block.facebook.send_button:
        sonata.seo.block.facebook.share_button:
        sonata.seo.block.pinterest.pin_button:
        sonata.seo.block.twitter.share_button:
        sonata.seo.block.twitter.follow_button:
        sonata.seo.block.twitter.hashtag_button:
        sonata.seo.block.twitter.mention_button:
        sonata.seo.block.twitter.embed:

        sonata.demo.block.newsletter:


        # Formatter
        sonata.formatter.block.formatter:

        sonata.seo.block.breadcrumb.homepage:
